Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class HostMetrics.Record

    java.lang.Object
      com.xensource.xenapi.HostMetrics.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  HostMetrics

    public static class HostMetrics.Record

extends Object
implements Types.Record

Represents all the fields in a HostMetrics

Field Summary
`Date` | `lastUpdated` Time at which this information was last updated
`Boolean` | `live` Pool master thinks this host is live
`Long` | `memoryFree` Free host memory (bytes)
`Long` | `memoryTotal` Total host memory (bytes)
`Map<String,String>` | `otherConfig` additional configuration
`String` | `uuid` Unique identifier/object reference

Constructor Summary
`HostMetrics.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a host_metrics.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### memoryTotal

    public Long memoryTotal

  Total host memory (bytes)

### memoryFree

    public Long memoryFree

  Free host memory (bytes)

### live

    public Boolean live

  Pool master thinks this host is live

### lastUpdated

    public Date lastUpdated

  Time at which this information was last updated

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

Constructor Detail

### HostMetrics.Record

    public HostMetrics.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a host_metrics.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD